// --------------------------------------------------------------- //
// MyEdit.hpp                                                      //
// --------------------------------------------------------------- //
#ifndef __MYEDIT_H
#define __MYEDIT_H

#include <owl/window.h>
#include <owl/edit.h>
#include <owl/dc.h>

// --------------------------------------------------------------- //
// TMyEdit class derived from OWL TEdit                            //
// --------------------------------------------------------------- //
class TMyEdit : public TEdit
{
	private:
		 TFont * font;                         //Font to use inside edit box
	public:
		 TMyEdit ( TWindow * parent,           //Constructor from resource
					  int       ResID)
					: TEdit (parent, ResID) {}
		 TMyEdit ( TWindow *        parent,    //Constructor with no resource
					  int              Id,
					  const char far * text,
					  int              x,
					  int              y,
					  int              w,
					  int              h,
					  uint             textLen = 0,
					  bool             multiline = false,
					  TModule *        module = 0)
					: TEdit (parent,
								Id,
								text,
								x,
								y,
								w,
								h,
								textLen,
								multiline,
								module) {Attr.Style |= ES_WANTRETURN|ES_MULTILINE;}

		 void SetupWindow ();
		 void CleanupWindow ();
		 int HasFocus;

	DECLARE_RESPONSE_TABLE(TMyEdit);
};

#endif // define __MYEDIT_H